Summary:        QML based X11 screen saver and screen lock
Name:           nde-screensaver  
Version:        0.1.0
Release:        1%{?dist}
License:        GPLv2+
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  cmake, gcc ,gcc-c++, nde-lib-devel, glib2-devel
BuildRequires:  extra-cmake-modules, kf5-kidletime-devel, libxcb-devel
BuildRequires:  pkgconfig(libsystemd), systemd, pam-devel
BuildRequires:  qt5-qtbase-devel, qt5-qtdeclarative-devel, qt5-qttools-devel, kf5-kwindowsystem-devel
BuildRequires:  pkgconfig(nde-globalkeys), nde-backgrounds, pkgconfig(libstatgrab), shadow-utils
Requires: system-logos
Requires: systemd
Requires: xorg-x11-xinit
Requires: libstatgrab
Requires: xorg-x11-server-Xorg
Requires: kf5-kidletime
Requires: nde-lib
Suggests: qt5-qtvirtualkeyboard
%{?systemd_requires}
Requires(pre): shadow-utils



%description
newstart desktop environment screen saver and lock



%prep
%setup -q



%build
%{cmake} -DBUILD_MAN_PAGES:BOOL=ON -DCMAKE_BUILD_TYPE:STRING="Release" -DENABLE_JOURNALD:BOOL=ON -DSESSION_COMMAND:PATH=/etc/X11/xinit/Xsession

%cmake_build



%install
%cmake_install



%files
%{_bindir}/nde-screensaver
%{_libexecdir}/nde-screensaver-greeter
%{_libexecdir}/nde-screensaver-helper
%{_datadir}/nde-screensaver/*
%{_sysconfdir}/xdg/autostart/nde-screensaver.desktop
%{_sysconfdir}/pam.d/nde-screensaver



%changelog
* Tue Jan 30 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.0.1-1
- small fix

* Fri Dec 16 2022 NewStart <os@gd-linux.com> - 
- First release..